Bug 580430

Summary: Probable typo in User Interface messages
Product: [Fedora] Fedora Reporter: Runa Bhattacharjee <runab>
Component: libvirtAssignee: Daniel Veillard <veillard>
Status: CLOSED UPSTREAM QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 13CC: ankit, berrange, clalance, crobinso, itamar, jforbes, veillard, virt-maint
Target Milestone: ---Keywords: i18n
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-05-18 12:16:11 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Runa Bhattacharjee 2010-04-08 05:10:13 EDT
Description of problem:

The follow two user interface messages probably contain typos, due to which they are not comprehensible for translators:

==========
String 1:
==========

failed to write save header to '%s'

Reference: 
#: src/qemu/qemu_driver.c:4695


==========
String 2:
==========

Failed to create domain save file '%s' statfs of all elements of path failed.

Reference:

#: src/qemu/qemu_driver.c:4843

=============================


Version-Release number of selected component (if applicable):

Source file:
https://translate.fedoraproject.org/projects/p/libvirt/c/HEAD/view/libvirt.pot

Additional Info:

These typos may also be present in rawhide.

Thanks
Comment 1 Daniel Veillard 2010-04-09 07:29:16 EDT
String 1:

when libvirt is asked to save a domain state the user gives a filename,
and libvirt save soem header data and then the domain state into that file.
The error message indicate that the first step failed, libvirt could not save
the header data for this domain into the given file.

String 2:

under some condition when trying to do the save operation, libvirt need
to find out what kind of filesystem is used for the volume getting the
saved file. To do this libvirt tries the statfs() call on all parent
directories of the file, up to the root. This message indicates that none
of those alls suceeded so we are unable to find the kind of filesystem
hosting the saved data, and the save operation fails.

Daniel
Comment 2 Runa Bhattacharjee 2010-04-12 01:59:00 EDT
(In reply to comment #1)

Thank you Daniel, both the explanations were very helpful. Considering the message in string 2, would it be possible to add a separator after the filename? 

e.g.: Failed to create domain save file '%s', statfs of all elements of path failed.

Currently, a user would try to read the sentence at one go and may end up getting confused.

Thanks
Runa
Comment 3 Cole Robinson 2010-05-18 12:16:11 EDT
Fixed upstream now. Not a major issue, so just closing as UPSTREAM: